| QxOrm 1.2.2 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions
qx::dao::detail::QxSqlGenerator_PostgreSQL Class Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::dao::detail::QxSqlGenerator_PostgreSQL : SQL generator for PostgreSQL database More...

`#include <QxSqlGenerator_PostgreSQL.h>`

Inheritance diagram for qx::dao::detail::QxSqlGenerator_PostgreSQL:

List of all members.

## Public Member Functions
| QxSqlGenerator_PostgreSQL ()
virtual | ~QxSqlGenerator_PostgreSQL ()
virtual void | onBeforeInsert (IxDao_Helper *pDaoHelper, void *pOwner) const
virtual void | onAfterInsert (IxDao_Helper *pDaoHelper, void *pOwner) const
## Private Member Functions
void | initSqlTypeByClassName () const

## Detailed Description

qx::dao::detail::QxSqlGenerator_PostgreSQL : SQL generator for PostgreSQL database

Definition at line 50 of file QxSqlGenerator_PostgreSQL.h.

## Constructor & Destructor Documentation

qx::dao::detail::QxSqlGenerator_PostgreSQL::QxSqlGenerator_PostgreSQL | ( |  | ) |

virtual qx::dao::detail::QxSqlGenerator_PostgreSQL::~QxSqlGenerator_PostgreSQL | ( |  | ) | `[virtual]`

## Member Function Documentation

void qx::dao::detail::QxSqlGenerator_PostgreSQL::initSqlTypeByClassName | ( |  | ) | const`[private]`

virtual void qx::dao::detail::QxSqlGenerator_PostgreSQL::onAfterInsert | ( | IxDao_Helper * | pDaoHelper,
|  | void * | pOwner
| ) |  | const`[virtual]`

Reimplemented from qx::dao::detail::QxSqlGenerator_Standard.

virtual void qx::dao::detail::QxSqlGenerator_PostgreSQL::onBeforeInsert | ( | IxDao_Helper * | pDaoHelper,
|  | void * | pOwner
| ) |  | const`[virtual]`

Reimplemented from qx::dao::detail::QxSqlGenerator_Standard.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxDao/QxSqlGenerator/QxSqlGenerator_PostgreSQL.h